Categories:
  - Multimedia
License: GPL-3.0-only
AuthorName: junkfood
SourceCode: https://github.com/JunkFood02/Seal
IssueTracker: https://github.com/JunkFood02/Seal/issues
Translation: https://hosted.weblate.org/projects/seal
Changelog: https://github.com/JunkFood02/Seal/releases

AutoName: Seal

RepoType: git
Repo: https://github.com/JunkFood02/Seal.git

Builds:
  - versionName: 0.0.9-alpha08
    versionCode: 98
    commit: a2763801006c3904f7791148318ab115092ad833
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/(keystorePropertiesFile.exists())$/d' build.gradle.kts
    gradleprops:
      - noSplits

  - versionName: 1.0.0
    versionCode: 10000
    commit: 3b6899b031fcb9cb2d92236e8caae276cfae4900
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/(keystorePropertiesFile.exists())$/d' build.gradle.kts
    gradleprops:
      - noSplits

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: app/build.gradle.kts|versionCode\s=\s(\d+)||v(.*)
CurrentVersion: 1.0.0
CurrentVersionCode: 10000
